Bug 536796 - Review Request: kde-plasma-smooth-tasks - KDE taskbar replacement with window peeking ability
Summary: Review Request: kde-plasma-smooth-tasks - KDE taskbar replacement with windo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-11 12:27 UTC by Thomas Janssen
Modified: 2009-11-25 15:09 UTC (History)
5 users (show)

Fixed In Version: 0.0.1-0.1.wip20091116.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 15:09:09 UTC
Type: ---
sven: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2009-11-11 12:27:23 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/kde-plasma-smooth-tasks.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/kde-plasma-smooth-tasks-0.0.1-0.1.wip20091111.fc11.src.rpm
Description: 
This taskbar replacement has window peeking similar to Windows 7 
when you use the kwin 'highlite window' effect. 
Even if this effect is not used you can click the tooltip in order 
to activate the corresponding window.

Comment 1 Thomas Janssen 2009-11-11 12:29:21 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=1800740

[thomas@tusdell SPECS]$ rpmlint kde-plasma-smooth-tasks.spec 
../SRPMS/kde-plasma-smooth-tasks-0.0.1-0.1.wip20091111.fc11.src.rpm 
../RPMS/x86_64/kde-plasma-smooth-tasks-*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Sven Lankes 2009-11-17 21:33:37 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f12/x86_64
 [x] Rpmlint output:
source RPM: clean
binary RPM: clean
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.  License: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: f73fd7956a989d7ccd812fd65374ec2ba3d729bc 101586-smooth-tasks-src-wip-2009-11-11.tar.bz2 
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f11/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.  

Please update to the latest released version (20091116) before commit.

*** APPROVED ***

Comment 3 Thomas Janssen 2009-11-18 08:14:51 UTC
Thank you for the review Sven.

Spec URL: http://thomasj.fedorapeople.org/reviews/kde-plasma-smooth-tasks.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/kde-plasma-smooth-tasks-0.0.1-0.1.wip20091116.fc11.src.rpm

Done.



New Package CVS Request
=======================
Package Name: kde-plasma-smooth-tasks
Short Description: KDE taskbar replacement with window peeking ability
Owners: thomasj
Branches: F-11 F-12
InitialCC:

Comment 4 Jason Tibbitts 2009-11-19 18:03:21 UTC
CVS done.

Comment 5 Fedora Update System 2009-11-20 10:30:24 UTC
kde-plasma-smooth-tasks-0.0.1-0.1.wip20091116.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kde-plasma-smooth-tasks-0.0.1-0.1.wip20091116.fc12

Comment 6 Neal Becker 2009-11-20 11:16:01 UTC
Just tried on F12.  Using 'add-widgets' I get this plasma popup:
 
This object could not be created for the following reason: could not find component: smooth-tasks

Comment 7 Thomas Janssen 2009-11-20 11:41:45 UTC
(In reply to comment #6)
> Just tried on F12.  Using 'add-widgets' I get this plasma popup:
> 
> This object could not be created for the following reason: could not find
> component: smooth-tasks  

*bummer* That was gone during the review. Can you open a seperate bug for it please. I will digg into it again.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Thomas Janssen 2009-11-20 12:28:54 UTC
Ok, maybe we have a quick fix. You need KDE 4.3.3 to have it working.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Fedora Update System 2009-11-24 07:58:05 UTC
kde-plasma-smooth-tasks-0.0.1-0.1.wip20091116.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-plasma-smooth-tasks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12009

Comment 10 Fedora Update System 2009-11-25 15:09:03 UTC
kde-plasma-smooth-tasks-0.0.1-0.1.wip20091116.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.